Subject: Re: [PATCH 1/5] refs: introduce missing functions that accept a `struct ref_store`

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 May 2024 10:11:30 -0700

Patrick Steinhardt <[email-masked]> writes:

> While most of the functions in "refs.h" have a variant that accepts a
> `struct ref_store`, some don't. Callers of these functions are thus
> forced to implicitly rely on `the_repository` to figure out the ref
> store that is to be used.
>
> Introduce those missing functions to address this shortcoming.
>
> Signed-off-by: Patrick Steinhardt <[email-masked]>
> ---
>  refs.c | 65 +++++++++++++++++++++++++++++++++++++++++++++-------------
>  refs.h | 13 ++++++++++++
>  2 files changed, 64 insertions(+), 14 deletions(-)

This will eventually allow us to even use an independent ref_store
that is not tied to a repository, but the huge patch we see later
will just force all the callers to call get_main_ref_store() on
the_repository before calling these functions, so while the whole
thing looks scary huge and noisy, there aren't all that much risky
going on in this series.

Looking good.